# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: DisplayController.proto

from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


import sila2lib.framework.SiLAFramework_pb2 as SiLAFramework__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='DisplayController.proto',
  package='sila2.org.silastandard.examples.displaycontroller.v1',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x17\x44isplayController.proto\x12\x34sila2.org.silastandard.examples.displaycontroller.v1\x1a\x13SiLAFramework.proto\"I\n\x19WriteToDisplay_Parameters\x12,\n\x04Text\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"O\n\x18WriteToDisplay_Responses\x12\x33\n\nSuccessful\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Boolean\"\x17\n\x15ShowWeight_Parameters\"K\n\x14ShowWeight_Responses\x12\x33\n\nSuccessful\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Boolean2\xf3\x02\n\x11\x44isplayController\x12\xb3\x01\n\x0eWriteToDisplay\x12O.sila2.org.silastandard.examples.displaycontroller.v1.WriteToDisplay_Parameters\x1aN.sila2.org.silastandard.examples.displaycontroller.v1.WriteToDisplay_Responses\"\x00\x12\xa7\x01\n\nShowWeight\x12K.sila2.org.silastandard.examples.displaycontroller.v1.ShowWeight_Parameters\x1aJ.sila2.org.silastandard.examples.displaycontroller.v1.ShowWeight_Responses\"\x00\x62\x06proto3'
  ,
  dependencies=[SiLAFramework__pb2.DESCRIPTOR,])




_WRITETODISPLAY_PARAMETERS = _descriptor.Descriptor(
  name='WriteToDisplay_Parameters',
  full_name='sila2.org.silastandard.examples.displaycontroller.v1.WriteToDisplay_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='Text', full_name='sila2.org.silastandard.examples.displaycontroller.v1.WriteToDisplay_Parameters.Text', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=102,
  serialized_end=175,
)


_WRITETODISPLAY_RESPONSES = _descriptor.Descriptor(
  name='WriteToDisplay_Responses',
  full_name='sila2.org.silastandard.examples.displaycontroller.v1.WriteToDisplay_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='Successful', full_name='sila2.org.silastandard.examples.displaycontroller.v1.WriteToDisplay_Responses.Successful', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=177,
  serialized_end=256,
)


_SHOWWEIGHT_PARAMETERS = _descriptor.Descriptor(
  name='ShowWeight_Parameters',
  full_name='sila2.org.silastandard.examples.displaycontroller.v1.ShowWeight_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=258,
  serialized_end=281,
)


_SHOWWEIGHT_RESPONSES = _descriptor.Descriptor(
  name='ShowWeight_Responses',
  full_name='sila2.org.silastandard.examples.displaycontroller.v1.ShowWeight_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='Successful', full_name='sila2.org.silastandard.examples.displaycontroller.v1.ShowWeight_Responses.Successful', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=283,
  serialized_end=358,
)

_WRITETODISPLAY_PARAMETERS.fields_by_name['Text'].message_type = SiLAFramework__pb2._STRING
_WRITETODISPLAY_RESPONSES.fields_by_name['Successful'].message_type = SiLAFramework__pb2._BOOLEAN
_SHOWWEIGHT_RESPONSES.fields_by_name['Successful'].message_type = SiLAFramework__pb2._BOOLEAN
DESCRIPTOR.message_types_by_name['WriteToDisplay_Parameters'] = _WRITETODISPLAY_PARAMETERS
DESCRIPTOR.message_types_by_name['WriteToDisplay_Responses'] = _WRITETODISPLAY_RESPONSES
DESCRIPTOR.message_types_by_name['ShowWeight_Parameters'] = _SHOWWEIGHT_PARAMETERS
DESCRIPTOR.message_types_by_name['ShowWeight_Responses'] = _SHOWWEIGHT_RESPONSES
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

WriteToDisplay_Parameters = _reflection.GeneratedProtocolMessageType('WriteToDisplay_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _WRITETODISPLAY_PARAMETERS,
  '__module__' : 'DisplayController_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.displaycontroller.v1.WriteToDisplay_Parameters)
  })
_sym_db.RegisterMessage(WriteToDisplay_Parameters)

WriteToDisplay_Responses = _reflection.GeneratedProtocolMessageType('WriteToDisplay_Responses', (_message.Message,), {
  'DESCRIPTOR' : _WRITETODISPLAY_RESPONSES,
  '__module__' : 'DisplayController_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.displaycontroller.v1.WriteToDisplay_Responses)
  })
_sym_db.RegisterMessage(WriteToDisplay_Responses)

ShowWeight_Parameters = _reflection.GeneratedProtocolMessageType('ShowWeight_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SHOWWEIGHT_PARAMETERS,
  '__module__' : 'DisplayController_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.displaycontroller.v1.ShowWeight_Parameters)
  })
_sym_db.RegisterMessage(ShowWeight_Parameters)

ShowWeight_Responses = _reflection.GeneratedProtocolMessageType('ShowWeight_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SHOWWEIGHT_RESPONSES,
  '__module__' : 'DisplayController_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.displaycontroller.v1.ShowWeight_Responses)
  })
_sym_db.RegisterMessage(ShowWeight_Responses)



_DISPLAYCONTROLLER = _descriptor.ServiceDescriptor(
  name='DisplayController',
  full_name='sila2.org.silastandard.examples.displaycontroller.v1.DisplayController',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_start=361,
  serialized_end=732,
  methods=[
  _descriptor.MethodDescriptor(
    name='WriteToDisplay',
    full_name='sila2.org.silastandard.examples.displaycontroller.v1.DisplayController.WriteToDisplay',
    index=0,
    containing_service=None,
    input_type=_WRITETODISPLAY_PARAMETERS,
    output_type=_WRITETODISPLAY_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='ShowWeight',
    full_name='sila2.org.silastandard.examples.displaycontroller.v1.DisplayController.ShowWeight',
    index=1,
    containing_service=None,
    input_type=_SHOWWEIGHT_PARAMETERS,
    output_type=_SHOWWEIGHT_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
])
_sym_db.RegisterServiceDescriptor(_DISPLAYCONTROLLER)

DESCRIPTOR.services_by_name['DisplayController'] = _DISPLAYCONTROLLER

# @@protoc_insertion_point(module_scope)
